Summary:             Update helper for GitLab
Name:                gitlab-update-helper
Version:             0.2.2
Release:             1
URL:                 https://git.labs.zkk.tuwien.ac.at/sw/gitlab-update-helper
Source0:             %{name}-%{version}.tar.xz
License:             GPL
Group:               Applications/System
BuildArchitectures:  noarch
Requires:            yum-utils
Requires:            python2-gitlab
Requires:            gitlab-ce

%description
Helper to update GitLab and reboot host if required. It will notify
users via a broadcast message 10 minutes before rebooting/update is
performed.

Currently locked to RHEL/CentOS 7 and GitLab-CE.

Must be called as root on host where GitLab is running and root user
must have working API access w/ python2-gitlab.

%prep
%setup -q

%build

%check

%install
mkdir -p %{buildroot}{%{_sbindir},%{_localstatedir}/cache/%{name}}
cp -a sbin/* %{buildroot}%{_sbindir}/.

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%attr(0700,-,-) %{_sbindir}/*
%attr(0700,-,-) %dir %{_localstatedir}/cache/%{name}
%doc doc
